#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# TIConvert v0.4.1
# By Michael Lee
# Released July 16th, 2011
#
# Please see /readme_TIConvert.txt
# Licensed under the MIT License (see /license_TIConvert.txt)
#
# Written in Python 2.7
#
# /main.py        -- Bundles all modules together.
# /interface.py   -- Contains a command-line parser for input (maybe add a
#                    GUI later?)
# /ticonverter.py -- Provides methods for manipulating 8xp and txt files.
# /axe.py         -- Contains data needed to convert to and between Axe.
# /meta.py        -- Provides metadata
#


import interface
import meta
import ticonverter


if __name__ == "__main__":
    reader = interface.CommandIO()
    options = reader.parse()

    parser = ticonverter.Parser(colons=options["colons"],
                                tab_length=options["tab_length"])
    parser.just_do_it(options["input_path"],
                      options["output_path"],
                      options["program_name"],
                      options["encoding"]) # encoding="ascii" for normal chars,
                                           # encoding="utf8" for special chars.
    print "\nSuccess!\n"

